/// <reference types="react" />
import { Action, Dispatch, Store } from 'redux';
export declare const StoreContext: import("react").Context<Store<any, import("redux").AnyAction> | null>;
/**
 * Your passed in mapState function should be memoized with useCallback to avoid
 * resubscribing every render. If you don't use other props in mapState, pass
 * an empty array [] as the dependency list so the callback isn't recreated
 * every render.
 *
 * const todo = useMappedState(useCallback(
 *   state => state.todos.get(id),
 *   [id],
 * ));
 */
export declare function useMappedState<TState, TResult>(mapState: (state: TState) => TResult): TResult;
export declare function useDispatch<TAction extends Action>(): Dispatch<TAction>;
